Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.pdf.SplitFileResult Class Reference

Inherits SystemIDisposable.

## Public Types
enum | SplitFileState { SplitFileState.e_SplitFileSuccess = 0, SplitFileState.e_SplitFileErrSizeTooSmall = 1, SplitFileState.e_SplitFileErrFileExist = 2, SplitFileState.e_SplitFileErrAccessDeny = 3 }
| Enumeration for the state of split file. More...

## Public Member Functions
| SplitFileResult ()
| Constructor.
| SplitFileResult (string before_splitting_file_name, WStringArray after_split_files_paths, SplitFileResult.SplitFileState split_file_state)
| Constructor, with parameters. More...

## Properties
WStringArray? | after_split_files_paths`[get, set]`
| An array of strings used to represent the paths of multiple PDF documents generated by splitting.
string | before_splitting_file_name`[get, set]`
| A string value used to represent the original PDF file name before splitting.
SplitFileResult.SplitFileState | split_file_state`[get, set]`
| An enumeration value used to represent the status of the PDF documents generated by splitting.

## Detailed Description

This class represents result information of the PDF document generated by splitting.

## Member Enumeration Documentation

## ◆ SplitFileState

enum foxit.pdf.SplitFileResult.SplitFileState
| strong

Enumeration for the state of split file.

Values of this enumeration should be used alone.

Enumerator
e_SplitFileSuccess | The state is split successfully.
e_SplitFileErrSizeTooSmall | The state is failed due to file size being too small. @detail If the file size of the PDF document to be split is smaller than the value of parameter max_file_size in function , then this state will be returned in the file split result.
e_SplitFileErrFileExist | The state is failed due to file exist. @detail If a PDF document generated by splitting already exists, and the value of is_overwrite in the object of SplitOutputSettingData is set to false, then this state will be returned in the file split result.
e_SplitFileErrAccessDeny | The state is failed due to file access being denied. @detail If the PDF document to be split is denied access, then this state will be returned in the file split result.The state is failed due to file access being denied.

## Constructor & Destructor Documentation

## ◆ SplitFileResult()

foxit.pdf.SplitFileResult.SplitFileResult | ( | string | before_splitting_file_name,
|  | WStringArray | after_split_files_paths,
|  | SplitFileResult.SplitFileState | split_file_state
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | before_splitting_file_name | A string value used to represent the original PDF file name before splitting.
  [in] | after_split_files_paths | An array of strings used to represent the paths of multiple PDF documents generated by splitting.
  [in] | split_file_state | An enumeration value used to represent the status of the PDF documents generated by splitting.